/**
 * *****************************************************
 */
export declare class TimeValue {
    hours: number;
    minutes: number;
    seconds: number;
    millis: number;
    static fromString(timeString: string): TimeValue;
    static fromDateValue(dateValue: Date): TimeValue;
    constructor(hours: number, minutes: number, seconds: number, millis: number);
    toString(): string;
    toDateValue(): Date;
    private pad;
}
